Home > China products > vintage standing lamp

RELATED PRODUCTS

vintage standing lamp

3,433
Find what you're looking for out of 3,433 high-quality vintage standing lamp from China suppliers
Related Products
Nordic Origami Bedside Lamp Pleated Umbrella Table Light Vintage Minimal Lamps
video
Model:GRH-E001,GRH-RFC1004,GRH-RFC1005,GRH-RFC1011
MOQ:1000 PCS
Contact Now
Retro High-Quality vintage glaze lamp – Minimalist & Durable Design
Premium Build Quality:Crafted from high-quality copper, cloth, and artistic colored glaze for a durable and elegant finish that lasts.
Minimalist & Retro Design:Clean lines, simple silhouette, and vintage charm make it a versatile fit for any interior — from mid-century modern to traditional.
Contact Now
Contact Supplier
Submit Requirement
View More

Request for Quotes

Create one request and get multiple quotes form verified suppliers.

Get multiple quotes
Submission successful!

Popular Inquiry products

Trusted by more than 520,000 satisfied buyer
Positive review rate of over 95%
120,000+ Suppliers from China
2,500 million+ Annual trading volume
180+ Covered countries